CC = gcc
CFLAGS = -O2 -Werror -Wall -Wextra -pedantic 
LDFLAGS = -std=c11

SRC = $(wildcard *.c)
OBJ = $(SRC:.c=.o)
TARGET = beepertest

all: $(TARGET)

$(TARGET): $(SRC)
	rm -f $(OBJ) $(TARGET)
	$(CC) $(CFLAGS) $(SRC) -o $@ $(LDFLAGS)

clean:
	rm -f $(OBJ) $(TARGET)
